Bug 66139 - MTU-Problems with VLAN
MTU-Problems with VLAN
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-06-05 06:47 EDT by Frank Mueller
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-05 06:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Mueller 2002-06-05 06:47:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)

Description of problem:
NFS over VLANs: Using the standard MTU of 1500 copying large files hangs. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. ifup vlan2
2. mount install:/redhad /mnt/install
3. dir /mnt/install                       (works perfectly)
4. cp /mnt/install/kernel.tar.gz /tmp     (hangs)

Actual Results:  System hangs until I either shutdown the interface or reduce mtu

Expected Results:  file should be copied

Additional info:

After reducing MTU to 1400 on both sides, it works. Tested with tulip and 3C59x. Other end: RH72 without VLAN tagging connected via 3COM 3300 switch.
Comment 1 David Miller 2002-06-05 18:25:04 EDT
VLAN is known to be broken with several cards without fixes
to the drivers for those cards.

There is no ETA on when the fixes will be done to the cards
that need them.  3c59x is one such card.  The best we could
do is basically make VLAN fail to initialize on such cards
but that would restrict you from being able to use VLAN with
a reduced MTU which does work around the problem.

Comment 2 acount closed by user 2003-05-21 21:04:44 EDT
rh brings vconfig package at 9 and rh-kernel has vlan support  but a lot of
drivers have problems with MTU/vlan. Are going this to change soon?

more vlan bugs:

Note You need to log in before you can comment on or make changes to this bug.